
*Sample netlist for Fecap 

*//***********Hspice***Set***Up*********************************************************************************************************
	.option runlvl=3   post=2   ingold=1
	.option method=gear
	.option absmos=1e-12
*//***********Active***Model************************************************************************************************************
	.hdl PHIMO_Fecap.va
	.include "Modelcard.fecap"
*//***********Parameter***Set***Up******************************************************************************************************

	*//*******Voltage*******************************************************************************************************************
		.param  Vpos= 5.0
		.param  Vneg=-5.0
	*//*******Time*****************************************************************************************************************************************
			
		*********Triange***Wave********************************************************************
			.param  time_width=250u            //Freq = 1kHz
			*.param  time_width=2.5u           //Freq = 100kHz
			*.param  time_width=0.5u           //Freq = 500kHz

			.param t1 = time_width*1
			.param t2 = time_width*2
			.param t3 = time_width*3
			.param t4 = time_width*4
			.param t5 = time_width*5
			.param t6 = time_width*6
			.param t7 = time_width*7
			.param t8 = time_width*8
			.param t9 = time_width*9
			.param t10 = time_width*10
			.param t11 = time_width*11
			.param t12 = time_width*12
			.param t13 = time_width*13

*//***********Net***List****************************************************************************************************************************************
	
	*//*******Voltage***Source**********************************************************************************************************************************

		*Saturation loop
		V1   1 0  pwl (0n 0, t1 Vpos, t2 0, t3 Vneg,t4 0, t5 Vpos, t6 0, t7 Vneg, t8 0, t9 Vpos, t10 0, t11 Vneg, t12 0, t13 Vpos)   


	*//*******Read***Current***************************************************************************************************************************
		V21  1 2 dc=0   *//To read current  at branch

*//*******Device********************************************************************************************************************************************
		xferro 2 0  fecap L=250E-9 W=1E-6  T_fe=10.0e-9  NQSMOD=0
*//***********Active***Simulation*******************************************************************************************************************************

	*//*******Simulation***Time***Set***Up**********************************************************************************************************************

		.tran  0.02u  t13  start=0  *//Time_step_in_lis***Total_Time_step***Initial_Time_for_Data_output_in_lis

		.PRINT TRAN V(2) I(V21) 
		 
		.end
*//***********************************************************************************************************************************************************


