
*Sample netlist for Fecap 

*//***********Hspice***Set***Up*********************************************************************************************************
	.option runlvl=3   post=2   ingold=1
	.option method=gear
	.option absmos=1e-12
*//***********Active***Model************************************************************************************************************
	.hdl PHIMO_Fecap.va
	.include "Modelcard.fecap"
*//***********Parameter***Set***Up******************************************************************************************************

	*//*******Voltage*******************************************************************************************************************
		.param  Vpos= 5.0
		.param  Vneg=-5.0
	*//*******Time*****************************************************************************************************************************************
			
		*********Triange***Wave********************************************************************
			.param  t_pul   =1m
			.param  t_zero   =1m
			.param  t_up    =t_pul/100
			.param  t_down  =t_pul/100
			.param  t_high  =t_up+t_pul+t_down
			.param  t_period=t_high+t_zero		
			
			.param  t1   =   1.0u
			
			.param  t2   =   t1+0*t_period+1*t_zero
			.param  t3   =   t1+0*t_period+1*t_zero+1*t_up
			.param  t4   =   t1+0*t_period+1*t_zero+1*t_up+1*t_pul
			.param  t5   =   t1+1*t_period
			
			.param  t6   =   t1+1*t_period+1*t_zero
			.param  t7   =   t1+1*t_period+1*t_zero+1*t_up
			.param  t8   =   t1+1*t_period+1*t_zero+1*t_up+1*t_pul
			.param  t9   =   t1+2*t_period
			
			.param  t10  =   t1+2*t_period+1*t_zero
			.param  t11  =   t1+2*t_period+1*t_zero+1*t_up
			.param  t12  =   t1+2*t_period+1*t_zero+1*t_up+1*t_pul
			.param  t13  =   t1+3*t_period
			
			.param  t14  =   t1+3*t_period+1*t_zero
			
*//***********Net***List****************************************************************************************************************************************
	
	*//*******Voltage***Source**********************************************************************************************************************************


		V1  1 0  pwl (0n 0, t1 0, t2 0, t3 Vpos, t4 Vpos, t5 0, t6 0, t7 Vneg, t8 Vneg, t9 0, t10 0, t11 Vpos, t12 Vpos, t13 0, t14 0)
		
	*//*******Read***Current***************************************************************************************************************************
		V21  1 2 dc=0   *//To read current  at branch

*//*******Device********************************************************************************************************************************************
		xferro 2 0  fecap L=250E-9 W=1E-6  T_fe=10.0e-9  NQSMOD=0
*//***********Active***Simulation*******************************************************************************************************************************

	*//*******Simulation***Time***Set***Up**********************************************************************************************************************

		.tran  0.02u  t13  start=0  *//Time_step_in_lis***Total_Time_step***Initial_Time_for_Data_output_in_lis

		.PRINT TRAN V(2) I(V21)      //ouput  pd  
		 
		.end
*//***********************************************************************************************************************************************************


