
*Sample netlist for FeFET 

*//***********Hspice***Set***Up*********************************************************************************************************
	.option runlvl=3   post=2   ingold=1
	.option method=gear
	.option absmos=1e-12
*//***********Active***Model************************************************************************************************************
	.hdl PHIMO_Fecap.va
	.include "Modelcard.fecap"
*//***********Parameter***Set***Up******************************************************************************************************

	*//*******Voltage*******************************************************************************************************************************************
			.param  Vpos= 5.0
			.param  Vneg=-5.0
			.param  Vread=1.5
			
	*//*******Time*****************************************************************************************************************************************
			
		*********Pulse***********************************************************************

			.param  t_pul   =1u
			.param  t_zero  =1u
			.param  t_up    =t_pul/100
			.param  t_down  =t_pul/100

			.param  t_high  =t_up+t_pul+t_down
			.param  t_period=t_high+t_zero		
			
			
			.param  t1   =   0*t_period+1*t_zero
			.param  t2   =   0*t_period+1*t_zero+1*t_up
			.param  t3   =   0*t_period+1*t_zero+1*t_up+1*t_pul
			.param  t4   =   1*t_period
			
			.param  t5   =   1*t_period+1*t_zero
			.param  t6   =   1*t_period+1*t_zero+1*t_up
			.param  t7   =   1*t_period+1*t_zero+1*t_up+1*t_pul
			.param  t8   =   2*t_period
			
			.param  t9   =   2*t_period+1*t_zero
			.param  t10  =   2*t_period+1*t_zero+1*t_up
			.param  t11  =   2*t_period+1*t_zero+1*t_up+1*t_pul
			.param  t12  =   3*t_period
			
			.param  t13  =   3*t_period+1*t_zero
			.param  t14  =   3*t_period+1*t_zero+1*t_up
			.param  t15  =   3*t_period+1*t_zero+1*t_up+1*t_pul
			.param  t16  =   4*t_period
			
			.param  t17  =   4*t_period+1*t_zero
			.param  t18  =   4*t_period+1*t_zero+1*t_up
			.param  t19  =   4*t_period+1*t_zero+1*t_up+1*t_pul
			.param  t20  =   5*t_period
			
			.param  t21  =   5*t_period+1*t_zero
			.param  t22  =   5*t_period+1*t_zero+1*t_up	
			.param  t23  =   5*t_period+1*t_zero+1*t_up+1*t_pul
            .param  t24  =   6*t_period


			.param  t25  =   6*t_period+1*t_zero			
			.param  t26  =   6*t_period+1*t_zero+1*t_up	
			.param  t27  =   6*t_period+1*t_zero+1*t_up+1*t_pul
            .param  t28  =   7*t_period
			

*//***********Net***List****************************************************************************************************************************************
	
	*//*******Voltage***Source**********************************************************************************************************************************

		V_g   1 0  pwl (0n 0, t1 0, t2 Vpos, t3 Vpos, t4 0, t5 0, t6 Vneg, t7 Vneg, t8 0, t9 0, t10 Vpos, t11 Vpos, 
+t12 0, t13 0, t14 -1.5, t17 Vread, t18 0, t19 0, t20 Vneg, t21 Vneg, t22 0, t23 0, t25 Vread, t26 0 , t28 0)


		V_d   4 0  pwl (0n 0, t13 0, t14 1.0, t17 1.0, t18 0, t23 0, t24 1.0, t25 1.0, t26 0, t28 0)

	*//*******Read***Current***************************************************************************************************************************
		V_i_g  1 2 dc=0    *//To read current  at branch
		V_i_d  4 5 dc=0    *//To read current  at branch

*//*******Device********************************************************************************************************************************************

	xferro 2 3 6 fecap  L=250E-9  W=1E-6  T_fe=10.0e-9  NQSMOD=0

	M1 5 3 0 0 MOD1 L=0.2U W=1U AD=1P AS=1P

	.MODEL MOD1 NMOS VTO=0.3 NSUB=1.0E15 TOX=1n 
*//***********Active***Simulation*******************************************************************************************************************************

	*//*******Simulation***Time***Set***Up**********************************************************************************************************************

		.tran  0.002u  t28  start=0  *//Time_step_in_lis***Total_Time_step***Initial_Time_for_Data_output_in_lis

		.PRINT TRAN V(2) I(V_i_g)  I(V_i_d)  V(6)
		 
		.end
*//***********************************************************************************************************************************************************



